Commit cecf6595 authored by Łukasz Jendrysik's avatar Łukasz Jendrysik

main/libguess: upgrade to 1.2

main/libguess: remove needless patch file
parent e2b55ba8
# Contributor: Łukasz Jendrysik <scadu@yandex.com>
# Contributor: William Pitcock <nenolod@dereferenced.org>
# Maintainer: William Pitcock <nenolod@dereferenced.org>
pkgname=libguess
pkgver=1.1
pkgrel=1
pkgver=1.2
pkgrel=0
pkgdesc="extremely fast character set guessing library"
url="http://atheme.org/project/libguess"
arch="all"
......@@ -11,8 +12,7 @@ depends=
makedepends="libmowgli-dev autoconf"
install=
subpackages="$pkgname-dev"
source="http://dev.alpinelinux.org/archive/$pkgname-$pkgver.tar.gz
libmowgli2.patch"
source="http://rabbit.dereferenced.org/~nenolod/distfiles/$pkgname-$pkgver.tar.bz2"
_builddir="$srcdir"/$pkgname-$pkgver
......@@ -45,9 +45,6 @@ package() {
make DESTDIR="$pkgdir" install
}
md5sums="efc2d53c30e47ffccae7148e53433396 libguess-1.1.tar.gz
be38a6404cde9b75945ace91fa740dfe libmowgli2.patch"
sha256sums="e3c9ad3102c9447c591131674135795fb012e073d92e887a2b05c9bbbcbe913f libguess-1.1.tar.gz
27936bd454f28990388ba38cf6d4355a63e2ed5e23f126f4be26924d818e07c0 libmowgli2.patch"
sha512sums="8501931058e6719485c3852c3189807a5eada084c56470bc14623c159a2bc8a2212d562775ed6f4f123d803953d0e1d43170df2158ab669e92089047c74c9a69 libguess-1.1.tar.gz
62754614391d0fce0d4f6ca9fa0624e93a3323f11ecb3ef7818644de0034bfe3661bdfce250ec78abfbdce406496231ba2a79bc474d829d24a6a92c889e1e5d2 libmowgli2.patch"
md5sums="7633fbfbeb75b1ded7f33cca3d8d4762 libguess-1.2.tar.bz2"
sha256sums="8019a16bdc7ca9d2efbdcc1429d48d033d5053d42e45fccea10abf98074f05f8 libguess-1.2.tar.bz2"
sha512sums="a17269e42e12b81e0201a27e41d9e290ac7351000473ddfcb968d5fc6e09cb5753d0534277ec257d43224cb675c8d563849853ab68ab6079a35480d6c40fb053 libguess-1.2.tar.bz2"
--- ./configure.ac.orig 2013-02-28 07:05:33.024962268 +0000
+++ ./configure.ac 2013-02-28 07:13:27.005783738 +0000
@@ -40,7 +40,11 @@
AC_CHECK_FUNCS([printf sprintf snprintf vsnprintf gettimeofday strndup strlcpy strlcat])
AC_FUNC_STAT
-PKG_CHECK_MODULES([MOWGLI], [libmowgli >= 0.9.50], [], [AC_MSG_ERROR([Install Mowgli from http://atheme.org/project/mowgli.])])
+PKG_CHECK_MODULES([MOWGLI], [libmowgli-2], [],
+ [PKG_CHECK_MODULES([MOWGLI], [libmowgli >= 0.9.50], [],
+ [AC_MSG_ERROR([Install Mowgli from http://atheme.org/project/mowgli.])
+ ])
+])
# Check for optional features.
EXAMPLES_BUILD=""
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment